activateAddons [ 
  "vbs2_people_au_adf_rifleman",
  "vbs2_people_afg_afg_man",
  "vbs2_vehicles_land_tracked_bmp2_zz_bmp2",
  "vbs2_iq_civ",
  "cabuildings",
  "camisc"
];

if (!isNil "_map") then
{
  call compile preProcessFile "\vbs2\editor\Data\Scripts\init_global.sqf";
  initAmbientLife;
};

_func_COC_Create_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\create_Unit.sqf";
_func_COC_Update_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\update_Unit.sqf";
_func_COC_Delete_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\delete_Unit.sqf";
_func_COC_Import_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\import_Unit.sqf";
_func_COC_UpdatePlayability_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\updateUnitPlayability.sqf";
_func_COC_Create_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\create_Group.sqf";
_func_COC_Update_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\update_Group.sqf";
_func_COC_Delete_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group.sqf";
_func_COC_Delete_Group_Only = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group_Only.sqf";
_func_COC_Attach_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\attach_Group.sqf";
_func_COC_Group_OnCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnCatChanged.sqf";
_func_COC_Group_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnTypeChanged.sqf";
_func_COC_Group_OnNewCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewSideOrCatChanged.sqf";
_func_COC_Group_OnNewTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewTypeChanged.sqf";
_func_COC_Group_OnCreateInit = compile preprocessFile "\vbs2\editor\data\scripts\group\groupCreateOnInit.sqf";
_func_COC_Group_Selected = compile preprocessFile "\vbs2\editor\data\scripts\group\groupFromSelected.sqf";
_func_COC_SubTeam_Join = compile preprocessFile "\vbs2\editor\data\scripts\subteam\subTeamJoin.sqf";
_func_COC_Waypoint_Assign = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointAssign.sqf";
_func_COC_Waypoint_Update = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointUpdate.sqf";
_func_COC_Waypoint_Draw = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDraw.sqf";
_func_COC_Waypoint_Delete = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDelete.sqf";
_func_COC_Waypoint_Move = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointMove.sqf";
_func_COC_Waypoint_Load_Branched = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointGetBranched.sqf";
_func_COC_Waypoint_Find_Config = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointFindConfigEntry.sqf";
_func_COC_Marker_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreate.sqf";
_func_COC_Marker_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdate.sqf";
_func_COC_Marker_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIcons.sqf";
_func_COC_Marker_DlgChanged = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerDlgChanged.sqf";
_func_COC_Marker_Tactical_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreateTactical.sqf";
_func_COC_Marker_Tactical_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdateTactical.sqf";
_func_COC_Marker_Tactical_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIconsTactical.sqf";
_getCrew = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\getCrew.sqf";
_func_COC_Vehicle_Create = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\vehicleCreate.sqf";
_func_COC_Vehicle_Update = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\processVehicleJoin.sqf";
_func_COC_Vehicle_Occupy = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\occupyVehicle.sqf";
_func_COC_Vehicle_Delete = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleDelete.sqf";
_func_COC_Vehicle_UnJoin = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleUnJoinGrp.sqf";
_func_COC_Vehicle_GetInEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getIn.sqf";
_func_COC_Vehicle_GetOutEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getOut.sqf";
_func_COC_Vehicle_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleOnTypeChanged.sqf";
_func_COC_Vehicle_UpdatePlayability = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\updateCrewPlayability.sqf";
_func_COC_Import_Vehicle = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\import_Vehicle.sqf";
_func_COC_Trigger_SetDisplayName = compile preprocessFile "\vbs2\editor\data\scripts\trigger\setDisplayName.sqf";
_func_COC_Trigger_Create = compile preprocessFile "\vbs2\editor\data\scripts\trigger\createTrigger.sqf";
_func_COC_IED_Create = compile preprocessFile "\vbs2\editor\data\scripts\ied\iedCreate.sqf";
_func_COC_Set_Display_Names = compile preprocessFile "\vbs2\editor\data\scripts\ui\setDisplayNames.sqf";
_func_COC_Set_Color = compile preprocessFile "\vbs2\editor\data\scripts\ui\setColor.sqf";
_func_COC_PlaceObjOnObj = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\placeObjOnObj.sqf";
_func_COC_Draw_Distance = compile preprocessFile "\vbs2\editor\Data\Scripts\distance\drawDistance.sqf";
_missionVersion = 3;
private["_allWaypoints"];

_group_0 = ["_group_0","",[11451,5820.91,0.00143814],"all","west","vbs2_au_army_d","fireteam",2,[]] call _func_COC_Create_Group;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_2 = (
[
	"_unit_2", true, "VBS2_AU_Army_Grenadier_D_F88A1", [11451.03906, 5820.91357, 22.30172], [], 0, "CAN_COLLIDE", 0, "", 1.00000,
	1.00000, -1, "UNKNOWN", "titleText [""2 BMPs, 1 Infantry Group & 2 or 3 Snipers"",""plain down""]", "CORPORAL", 1.00000, _strCommander, _strDriver, _strGunner, _strCargo, true, true, "_group_0", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_3 = (
[
	"_unit_3", true, "VBS2_AU_Army_ATsoldier_D_LAW", [11455.03906, 5819.91357, 22.34901], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_4 = (
[
	"_unit_4", true, "VBS2_AU_Army_Mgunner_D_F89", [11447.03906, 5819.91357, 22.36658], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_5 = (
[
	"_unit_5", true, "VBS2_AU_Army_Rifleman_D_F88A1", [11459.03906, 5818.91357, 22.46540], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_34 = (
[
	"_unit_34", true, "VBS2_AU_Army_Rifleman_D_F88A1", [11459.16504, 5813.42529, 22.99701], [], 0, "CAN_COLLIDE", -2.24644, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_36 = (
[
	"_unit_36", true, "VBS2_AU_Army_Rifleman_D_F88A1", [11454.67676, 5813.42529, 22.99948], [], 0, "CAN_COLLIDE", -2.24644, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_39 = (
[
	"_unit_39", true, "VBS2_AU_Army_Mgunner_D_F89", [11442.97461, 5816.46973, 22.79604], [], 0, "CAN_COLLIDE", 0.09700, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_42 = (
[
	"_unit_42", true, "VBS2_AU_Army_ATsoldier_D_LAW", [11451.79199, 5816.63086, 22.67107], [], 0, "CAN_COLLIDE", -2.48228, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_45 = (
[
	"_unit_45", true, "VBS2_AU_Army_Rifleman_D_F88A1", [11447.14258, 5813.90527, 23.02390], [], 0, "CAN_COLLIDE", -2.24644, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

_marker_0 = (["_marker_0","m1","","TacticalMarker","","ColorBlue",[20, 20],0,[11451,5820.91,0.00143814],"true","\vbs2\ui\tacticmarkers\data\Frames\Friend_Units","\vbs2\ui\tacticmarkers\data\Icons\Infantry","\vbs2\ui\tacticmarkers\data\Modifiers\S_Section","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_2]) call _func_COC_Marker_Tactical_Create;

_marker_13 = ["_marker_13","dolores2","","Rectangle",ERROR,"ColorRed",[250, 200],0,[11413.01465, 5989.76318, 10.57144],"true","FDiagonal",ERROR,true] call _func_COC_Marker_Create;

_marker_15 = ["_marker_15","dolores1","","Rectangle",ERROR,"ColorRed",[250, 100],0,[11412.43652, 6089.85840, 0.35816],"true","DiagGrid",ERROR,true] call _func_COC_Marker_Create;

_group_9 = ["_group_9","",[11138,6195.46,-0.074995],"EAST","","","",0,[]] call _func_COC_Create_Group;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_50 = (
[
	"_unit_50", true, "vbs2_af_taliban_svd", [11481.98535, 6197.56738, 29.31623], [], 0, "CAN_COLLIDE", -175.73006, "", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,""dolores1"",""random"",""min:"",1,""max:"",2] execVM ""ups.sqf""", "PRIVATE", 0.60000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "EAST", "2 or 3 snipers, randomly placed within Northern marker [dolores1]", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

_group_10 = ["_group_10","",[11465.1,6202.85,0.00141716],"east","east","vbs2_af_taliban","weaponssquad",0,[]] call _func_COC_Create_Group;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_52 = (
[
	"_unit_52", true, "vbs2_af_talibanLeader_ak74gla", [11465.08008, 6202.85449, 26.19244], [], 0, "CAN_COLLIDE", 180.82375, "", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,""dolores1"",""random""] execVM ""ups.sqf""", "SERGEANT", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_10", "east", "group placed randomly within Northern marker [dolores1] (only the leader needs to call the script)", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + [_group_10]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_53 = (
[
	"_unit_53", true, "vbs2_af_taliban_rpgAT", [11461.09961, 6203.90918, 25.40211], [], 0, "CAN_COLLIDE", 180.82375, "", 1,
	1, -1, "UNKNOWN", "", "Corporal", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_10", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_10]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_54 = (
[
	"_unit_54", true, "vbs2_af_taliban_pkm", [11457.11230, 6204.96777, 24.92231], [], 0, "CAN_COLLIDE", 180.82375, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_10", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_10]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_55 = (
[
	"_unit_55", true, "vbs2_af_taliban_svd", [11453.12695, 6206.02393, 24.49653], [], 0, "CAN_COLLIDE", 180.82375, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_10", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_10]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_56 = (
[
	"_unit_56", true, "vbs2_af_taliban_rpgAP", [11469.10449, 6203.79492, 26.91924], [], 0, "CAN_COLLIDE", 180.82375, "", 1,
	1, -1, "UNKNOWN", "", "Corporal", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_10", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_10]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_57 = (
[
	"_unit_57", true, "vbs2_af_taliban_pkm", [11473.11328, 6204.73779, 27.64295], [], 0, "CAN_COLLIDE", 180.82375, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_10", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_10]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_58 = (
[
	"_unit_58", true, "vbs2_af_taliban_ak74gla", [11477.12500, 6205.67920, 28.37350], [], 0, "CAN_COLLIDE", 180.82375, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_10", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_10]) call _func_COC_Create_Unit;

_marker_22 = (["_marker_22","m3","","TacticalMarker","","ColorRed",[20, 20],0,[11465.1,6202.85,0.00141716],"true","\vbs2\ui\tacticmarkers\data\Frames\Hostile_Surface","\vbs2\ui\tacticmarkers\data\Icons\H_Infantry","\vbs2\ui\tacticmarkers\data\Modifiers\S_Section","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_52]) call _func_COC_Marker_Tactical_Create;

_vehicle_0 = ["_vehicle_0", true, "VBS2_ZZ_Army_bmp2_W", [11138,6195.46,31.5897], [], 0, "CAN_COLLIDE", 153.18137, "", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "nul=[this,""dolores2"",""trigger"",""showmarker""] execVM ""ups.sqf""", 0, "_group_9", "", "NO CHANGE", "AWARE", true, 1.00000, "on", "off", [], [], [], [], "", "Tank patrolling full city area, defined by marker [dolores2]."] call _func_COC_Vehicle_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_0";
_unit_47 = (
[
	"_unit_47", true, "vbs2_iq_insurg_02_akm", [11138,6195.46,0], [], 0, "CAN_COLLIDE", 153.18137, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_9", "EAST", "BMP-2 Commander ", [0,0], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_9]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strDriver = "_vehicle_0";
_unit_48 = (
[
	"_unit_48", true, "vbs2_iq_insurg_02_akm", [11138,6195.46,0], [], 0, "CAN_COLLIDE", 153.18137, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_9", "EAST", "BMP-2 Driver ", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_9]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_0";
_unit_49 = (
[
	"_unit_49", true, "vbs2_iq_insurg_02_akm", [11138,6195.46,0], [], 0, "CAN_COLLIDE", 153.18137, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_9", "EAST", "BMP-2 Gunner ", [0], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_9]) call _func_COC_Create_Unit;

_marker_21 = (["_marker_21","m2","","TacticalMarker","","ColorRed",[20, 20],0,[11138,6195.46,-0.074995],"true","\vbs2\ui\tacticmarkers\data\Frames\Hostile_Surface","\vbs2\ui\tacticmarkers\data\Icons\H_Mech_Inf","\vbs2\ui\tacticmarkers\data\Modifiers\S_Section","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_47]) call _func_COC_Marker_Tactical_Create;

_group_13 = ["_group_13","",[11607,6249.67,-0.0749998],"EAST","","","",0,[]] call _func_COC_Create_Group;

_vehicle_3 = ["_vehicle_3", true, "VBS2_ZZ_Army_bmp2_W", [11607,6249.67,12.96], [], 0, "CAN_COLLIDE", 179.75798, "", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "nul=[this,""dolores2"",""showmarker""] execVM ""ups.sqf""", 0, "_group_13", "", "NO CHANGE", "AWARE", true, 1.00000, "on", "off", [], [], [], [], "", "Tank patrolling full city area, defined by marker [dolores2]."] call _func_COC_Vehicle_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_3";
_unit_62 = (
[
	"_unit_62", true, "vbs2_iq_insurg_02_akm", [11607,6249.67,0], [], 0, "CAN_COLLIDE", 179.75798, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_13", "EAST", "BMP-2 Commander ", [0,0], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_13]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strDriver = "_vehicle_3";
_unit_63 = (
[
	"_unit_63", true, "vbs2_iq_insurg_02_akm", [11607,6249.67,0], [], 0, "CAN_COLLIDE", 179.75798, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_13", "EAST", "BMP-2 Driver ", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_13]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_strGunner = "_vehicle_3";
_unit_64 = (
[
	"_unit_64", true, "vbs2_iq_insurg_02_akm", [11607,6249.67,0], [], 0, "CAN_COLLIDE", 179.75798, "", 1,
	1, -1, "UNKNOWN", "", "PRIVATE", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_13", "EAST", "BMP-2 Gunner ", [0], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_13]) call _func_COC_Create_Unit;

_marker_24 = (["_marker_24","m4","","TacticalMarker","","ColorRed",[20, 20],0,[11607,6249.67,-0.0749998],"true","\vbs2\ui\tacticmarkers\data\Frames\Hostile_Surface","\vbs2\ui\tacticmarkers\data\Icons\H_Mech_Inf","\vbs2\ui\tacticmarkers\data\Modifiers\S_Section","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_62]) call _func_COC_Marker_Tactical_Create;

call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepare.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepareSynch.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\group\groupBroadcastSubordinateGroups.sqf"));

if (isNil "_map") then
{
  processInitCommands;
};
